Package org.springframework.scheduling.quartz

# Class ResourceLoaderClassLoadHelper

java.lang.Object
org.springframework.scheduling.quartz.ResourceLoaderClassLoadHelper

All Implemented Interfaces:
  `ClassLoadHelper`

public class ResourceLoaderClassLoadHelper extends Object implements ClassLoadHelper
Wrapper that adapts from the Quartz `ClassLoadHelper` interface onto Spring's `ResourceLoader` interface. Used by default when the SchedulerFactoryBean runs in a Spring ApplicationContext.

Since:
  2.5.5
Author:
  Juergen Hoeller
See Also:
  - `SchedulerFactoryBean.setApplicationContext(org.springframework.context.ApplicationContext)`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static final org.apache.commons.logging.Log`
`logger`

## Constructor Summary

Constructors
Constructor
Description
`ResourceLoaderClassLoadHelper()`
Create a new ResourceLoaderClassLoadHelper for the default ResourceLoader.
`ResourceLoaderClassLoadHelper(org.springframework.core.io.ResourceLoader resourceLoader)`
Create a new ResourceLoaderClassLoadHelper for the given ResourceLoader.

## Method Summary

Modifier and Type
Method
Description
`ClassLoader`
`getClassLoader()`
`URL`
`getResource(String name)`
`InputStream`
`getResourceAsStream(String name)`
`void`
`initialize()`
`Class<?>`
`loadClass(String name)`
`<T> Class<? extends T>`
`loadClass(String name, Class<T> clazz)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### logger

protected static final org.apache.commons.logging.Log logger

## Constructor Details

### ResourceLoaderClassLoadHelper

public ResourceLoaderClassLoadHelper()
Create a new ResourceLoaderClassLoadHelper for the default ResourceLoader.

See Also:
  - `SchedulerFactoryBean.getConfigTimeResourceLoader()`

### ResourceLoaderClassLoadHelper

public ResourceLoaderClassLoadHelper(@Nullable org.springframework.core.io.ResourceLoader resourceLoader)
Create a new ResourceLoaderClassLoadHelper for the given ResourceLoader.

Parameters:
  `resourceLoader` - the ResourceLoader to delegate to

## Method Details

### initialize

public void initialize()

Specified by:
  `initialize` in interface `ClassLoadHelper`

### loadClass

public Class<?> loadClass(String name) throws ClassNotFoundException

Specified by:
  `loadClass` in interface `ClassLoadHelper`
Throws:
  `ClassNotFoundException`

### loadClass

public <T> Class<? extends T> loadClass(String name, Class<T> clazz) throws ClassNotFoundException

Specified by:
  `loadClass` in interface `ClassLoadHelper`
Throws:
  `ClassNotFoundException`

### getResource

@Nullable public URL getResource(String name)

Specified by:
  `getResource` in interface `ClassLoadHelper`

### getResourceAsStream

@Nullable public InputStream getResourceAsStream(String name)

Specified by:
  `getResourceAsStream` in interface `ClassLoadHelper`

### getClassLoader

public ClassLoader getClassLoader()

Specified by:
  `getClassLoader` in interface `ClassLoadHelper`